POST api/graphics/purchases/{sessionID}
Get chart rendering data
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| sessionID |
ID сессии (получается при логине) |
string |
Required |
Body Parameters
параметры фильтров
GraphForm| Name | Description | Type | Additional information |
|---|---|---|---|
| idgs | Collection of integer |
None. |
|
| dateStart | date |
None. |
|
| dateFinish | date |
None. |
|
| returnedGoods | integer |
None. |
|
| buyer | string |
None. |
|
| agentSales | integer |
None. |
|
| agent | integer |
None. |
|
| owner | integer |
None. |
|
| paymentMethod | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"idgs": [
1,
2
],
"dateStart": "20260319",
"dateFinish": "20260319",
"returnedGoods": 1,
"buyer": "sample string 3",
"agentSales": 1,
"agent": 1,
"owner": 1,
"paymentMethod": "sample string 4"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
application/xml, text/xml
Sample:
<GraphForm>
<GoodsIds>
<int>1</int>
<int>2</int>
</GoodsIds>
<DateStart>2026-03-19T22:04:23.9182675+03:00</DateStart>
<DateFinish>2026-03-19T22:04:23.9182675+03:00</DateFinish>
<ReturnedGoods>1</ReturnedGoods>
<Buyer>sample string 3</Buyer>
<AgentSales>1</AgentSales>
<Agent>1</Agent>
<Owner>1</Owner>
<PaymentMethod>sample string 4</PaymentMethod>
</GraphForm>
Response Information
Resource Description
JsonResultOfChartResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| Content | ChartResponse |
None. |
|
| SerializerSettings | JsonSerializerSettings |
None. |
|
| Encoding | Encoding |
None. |
|
| Request | HttpRequestMessage |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.